MSWriteParserInternal Namespace Reference documentation

Classes | Enumerations | Functions
MSWriteParserInternal Namespace Reference

## Classes
struct | BitmapPalette
struct | CHP
struct | Font
struct | Footnote
struct | PAP
struct | Paragraph
struct | Section
class | SubDocument
| Internal: the subdocument of a MSWriteParser. More...

## Enumerations
enum | HeaderOffset { HEADER_W_WIDENT = 0, HEADER_W_DTY = 2, HEADER_W_WTOOL = 4, HEADER_D_FCMAC = 14, HEADER_W_PNPARA = 18, HEADER_W_PNFNTB = 20, HEADER_W_PNSEP = 22, HEADER_W_PNSETB = 24, HEADER_W_PNBFTB = 26, HEADER_W_PNFFNTB = 28, HEADER_W_PNMAC = 96 }
enum | PicOffset { PIC_W_MM = 0, PIC_W_XEXT = 2, PIC_W_YEXT = 4, PIC_W_DXAOFFSET = 8, PIC_W_DXASIZE = 10, PIC_W_DYASIZE = 12, PIC_W_BMWIDTH = 18, PIC_W_BMHEIGHT = 20, PIC_W_BMWIDTHBYTES = 22, PIC_B_BMPLANES = 24, PIC_B_BMBITSPIXEL = 25, PIC_D_CBSIZE = 32, PIC_W_MX = 36, PIC_W_MY = 38 }
enum | OleOffset { OLE_W_MM = 0, OLE_W_OBJECTTYPE = 6, OLE_W_DXAOFFSET = 8, OLE_W_DXASIZE = 10, OLE_W_DYASIZE = 12, OLE_D_DWDATASIZE = 16, OLE_W_MX = 36, OLE_W_MY = 38 }
enum | BitmapInfoHeaderV3Offset { BM_INFO_V3_SIZE = 0, BM_INFO_V3_WIDTH = 4, BM_INFO_V3_HEIGHT = 8, BM_INFO_V3_PLANES = 12, BM_INFO_V3_BITS_PIXEL = 14, BM_INFO_V3_COMPRESSION = 16, BM_INFO_V3_BITMAP_SIZE = 20, BM_INFO_V3_HORZ_RES = 24, BM_INFO_V3_VERT_RES = 28, BM_INFO_V3_COLORS_USED = 32, BM_INFO_V3_COLORS_IMPORTANT = 36, BM_INFO_V3_STRUCT_SIZE = 40 }
enum | BitmapFileHeaderOffset { BM_FILE_MAGIC = 0, BM_FILE_SIZE = 2, BM_FILE_RESERVED = 6, BM_FILE_OFFSET = 10, BM_FILE_STRUCT_SIZE = 14 }
enum | BitmapInfoHeaderV2Offset { BM_INFO_V2_SIZE = 0, BM_INFO_V2_WIDTH = 4, BM_INFO_V2_HEIGHT = 6, BM_INFO_V2_PLANES = 8, BM_INFO_V2_BITS_PIXEL = 10, BM_INFO_V2_STRUCT_SIZE = 12 }

## Functions
static void | appendU16 (librevenge::RVNGBinaryData &b, uint16_t val)
static void | appendU32 (librevenge::RVNGBinaryData &b, uint32_t val)

## Enumeration Type Documentation

## ◆ BitmapFileHeaderOffset

enum MSWriteParserInternal::BitmapFileHeaderOffset

Enumerator
BM_FILE_MAGIC |
BM_FILE_SIZE |
BM_FILE_RESERVED |
BM_FILE_OFFSET |
BM_FILE_STRUCT_SIZE |

## ◆ BitmapInfoHeaderV2Offset

enum MSWriteParserInternal::BitmapInfoHeaderV2Offset

Enumerator
BM_INFO_V2_SIZE |
BM_INFO_V2_WIDTH |
BM_INFO_V2_HEIGHT |
BM_INFO_V2_PLANES |
BM_INFO_V2_BITS_PIXEL |
BM_INFO_V2_STRUCT_SIZE |

## ◆ BitmapInfoHeaderV3Offset

enum MSWriteParserInternal::BitmapInfoHeaderV3Offset

Enumerator
BM_INFO_V3_SIZE |
BM_INFO_V3_WIDTH |
BM_INFO_V3_HEIGHT |
BM_INFO_V3_PLANES |
BM_INFO_V3_BITS_PIXEL |
BM_INFO_V3_COMPRESSION |
BM_INFO_V3_BITMAP_SIZE |
BM_INFO_V3_HORZ_RES |
BM_INFO_V3_VERT_RES |
BM_INFO_V3_COLORS_USED |
BM_INFO_V3_COLORS_IMPORTANT |
BM_INFO_V3_STRUCT_SIZE |

## ◆ HeaderOffset

enum MSWriteParserInternal::HeaderOffset

Enumerator
HEADER_W_WIDENT |
HEADER_W_DTY |
HEADER_W_WTOOL |
HEADER_D_FCMAC |
HEADER_W_PNPARA |
HEADER_W_PNFNTB |
HEADER_W_PNSEP |
HEADER_W_PNSETB |
HEADER_W_PNBFTB |
HEADER_W_PNFFNTB |
HEADER_W_PNMAC |

## ◆ OleOffset

enum MSWriteParserInternal::OleOffset

Enumerator
OLE_W_MM |
OLE_W_OBJECTTYPE |
OLE_W_DXAOFFSET |
OLE_W_DXASIZE |
OLE_W_DYASIZE |
OLE_D_DWDATASIZE |
OLE_W_MX |
OLE_W_MY |

## ◆ PicOffset

enum MSWriteParserInternal::PicOffset

Enumerator
PIC_W_MM |
PIC_W_XEXT |
PIC_W_YEXT |
PIC_W_DXAOFFSET |
PIC_W_DXASIZE |
PIC_W_DYASIZE |
PIC_W_BMWIDTH |
PIC_W_BMHEIGHT |
PIC_W_BMWIDTHBYTES |
PIC_B_BMPLANES |
PIC_B_BMBITSPIXEL |
PIC_D_CBSIZE |
PIC_W_MX |
PIC_W_MY |

## Function Documentation

## ◆ appendU16()

static void MSWriteParserInternal::appendU16 | ( | librevenge::RVNGBinaryData & | b,
|  | uint16_t | val
| ) |  |
| static

Referenced by MSWriteParser::processDDB().

## ◆ appendU32()

static void MSWriteParserInternal::appendU32 | ( | librevenge::RVNGBinaryData & | b,
|  | uint32_t | val
| ) |  |
| static

Referenced by MSWriteParser::processDDB(), and MSWriteParser::processDIB().